/* global - start*/

/* colors - start */
:root {
  --lilac: rgba(187, 171, 212, 1);
  --coral-pink: rgba(253, 159, 141, 1);
  --peach: rgba(254, 192, 151, 1);
  --lavender-blush: rgba(225, 216, 224, 1);
  --melon: rgba(253, 171, 156, 1);
  --apricot: rgba(251, 216, 190, 1);
  --cornsilk: rgba(252, 248, 225, 1);
}

.lilac {
  background-color: rgba(187, 171, 212, 1);
}
.coral-pink {
  background-color: rgba(253, 159, 141, 1);
}
.peach {
  background-color: rgba(254, 192, 151, 1);
}
.lavender-blush {
  background-color: rgba(225, 216, 224, 1);
}
.melon {
  background-color: rgba(253, 171, 156, 1);
}
.apricot {
  background-color: rgba(251, 216, 190, 1);
}
.cornsilk {
  background-color: rgba(252, 248, 225, 1);
}

/* colors - end */

html {
  box-sizing: border-box;
  scroll-behavior: smooth;
}

body {
  margin: 0;
  padding: 0;
  font-family: Arial, sans-serif;
}

/* global - end */

/* navbar - start*/

/* .nav-logo {
  display: flex;
  align-items: center;
  padding: 10px;
  height: 60px;
  width: 60px;
} */

.nav-logo img {
  height: 50px;
  border-radius: 50%;
}

#navbar {
  position: sticky;
  top: 0;
  z-index: 1000;
  /* overflow: hidden; */
  /* margin: 0; */
  background-color: rgba(255, 255, 255, 1);
}

.navbar-toggler {
  border: 2px solid var(--coral-pink);
  border-radius: 8px;
  padding: 0.5rem;
}

.navbar-toggler:focus {
  box-shadow: 0 0 0 rgba(0, 0, 0, 1);
}

.navbar-toggler-icon {
  background-image: url("data:image/svg+xml,%3csvg xmlns='http://www.w3.org/2000/svg' viewBox='0 0 30 30'%3e%3cpath stroke='rgba%28253, 159, 141, 1%29' stroke-linecap='round' stroke-miterlimit='10' stroke-width='2' d='M4 7h22M4 15h22M4 23h22'/%3e%3c/svg%3e");
}

@media (max-width: 991.98px) {
  .navbar-nav {
    padding-top: 1rem;
  }

  .navbar-nav .nav-link {
    padding: 0.75rem 0 !important;
    border-bottom: 1px solid rgba(0, 0, 0, 0.1);
  }

  .navbar-nav .nav-link:last-child {
    border-bottom: none;
  }
}

.bg-image {
  background-image: url("../assets/background.webp");
  background-size: cover;
}

/* navbar - end */

/* intro - start */

.frame {
  min-height: 40dvh;
}

.card

/* .wrapper,
placeholder {
  min-height: 60dvh;
} */

/* .intro h2 span {
  display: flex;
  align-items: center;
  justify-content: center;
  min-width: 100px;
  min-height: 100px;
  font-size: 1.2rem;
  color: #fff;
  /* overflow: hidden; */
/* text-align: center;
  margin: 0.5rem;
} */

/* .intro-title {
  text-align: center;
  position: relative;
} */

/* intro - end */

/* design - start */

/* custom lists - start */
.custom-list {
  list-style: none;
  padding-left: 0;
  /* margin: 0; */
}

.custom-list li {
  position: relative;
  padding-left: 2rem;
  margin-bottom: 0.7rem;
  /* line-height: 1.5; */
  display: flex;
  align-items: center;
}

/* custom lists - all custom bullets */

/* Triangle bullet */
.triangle-bullet::before {
  content: "";
  display: inline-block;
  width: 0;
  height: 0;
  border-left: 0.6em solid transparent;
  border-right: 0.6em solid transparent;
  border-bottom: 1em solid solid var(--peach);
  position: absolute;
  left: 0;
  top: 50%;
  transform: translateY(-50%);
}

.custom-list li.triangle-bullet::before {
  background-color: transparent;
  width: 0;
  height: 0;
  border-left: 0.5rem solid transparent;
  border-right: 0.5rem solid transparent;
  border-bottom: 0.75rem solid var(--peach);
  top: 0.6rem;
  transform: translateY(-50%);
  border-radius: 0;
}

/* Square bullet */
.square-bullet::before {
  content: "";
  display: inline-block;
  width: 1em;
  height: 1em;
  background: #27ae60;
  position: absolute;
  left: 0;
  top: 50%;
  transform: translateY(-50%);
}

.custom-list li::before {
  content: "";
  position: absolute;
  left: 0;
  top: 0.5rem;
  transform: translateY(-50%);
  display: block;
  width: 0.75rem;
  height: 0.75rem;
  border-radius: 0.25rem;
}

/* custom lists - specific shapes */
.custom-list li.circle-bullet::before {
  background-color: var(--lilac);
  border-radius: 50%;
}

.custom-list li.square-bullet::before {
  background-color: var(--coral-pink);
  /* default border radius from common styling 0.35 makes it a rounded square */
}

.custom-list li.diamond-bullet::before {
  background-color: var(--lavender-blush);
  transform: translateY(-50%) rotate(45deg);
  border-radius: 0.15rem;
}

/* Responsive adjustments */
/* @media (max-width: 768px) {
  .custom-list li {
    padding-left: 1.75rem;
    margin-bottom: 0.75rem;
  }
  .custom-list li::before {
    width: 0.6rem;
    height: 0.6rem;
    top: 0.45rem;
  }
  .custom-list li.triangle::before {
    border-left-width: 0.4rem;
    border-right-width: 0.4rem;
    border-bottom-width: 0.6rem;
    top: 0.5rem;
  }
} */

/* custom lists - end */

.border-shadow {
  border: 2px solid rgb(0, 0, 0);
  box-shadow: 2px 2px 0px rgb(0, 0, 0);
}

/* shapes - start */

.circle {
  display: flex;
  justify-content: center;
  align-items: center;
  align-items: center;
  border-radius: 50%;
  height: 250px;
  width: 250px;
  padding: 20px;
}

/* .diamond {
  width: 200px;
  height: 200px;
  transform: rotate(30deg);
}

.triangle {
  position: absolute;
  width: 0;
  height: 0;
  border-left: 80px solid transparent;
  border-right: 80px solid transparent;
  top: 20px;
  left: 20px;
}

.triangle-topleft {
  width: 0;
  height: 0;
  border-top: 100px solid var(--apricot);
  border-left: 100px solid transparent;
}

.triangle-topright {
  width: 0;
  height: 0;
  border-top: 100px solid var(--apricot);
  border-right: 100px solid transparent;
}

.triangle-bottomleft {
  width: 0;
  height: 0;
  border-bottom: 100px solid var(--apricot);
  border-right: 100px solid transparent;
}

.square {
  position: absolute;
  width: 100px;
  height: 100px;
  bottom: 0;
  left: 50%;
} */

/* .rectangle {
  position: absolute;
  width: 200px;
  height: 100px;
} */
/* shapes - end */

/* design - end */

/* offset based on top nav */

.workshop {
  top: 10rem;
}

/* about - start */
.portrait-wrapper {
  display: flex;
  justify-content: center;
  align-items: center;
  height: 70vh;
}

.my-portrait {
  object-fit: cover;
  height: 100%;
}

.about-sticky {
  position: sticky;
  top: 6.5rem;
  z-index: 2;
}

@media (max-width: 767.98px) {
  .about-sticky {
    position: static;
  }
}

.about-heading {
  margin-top: 8.65rem !important;
}

/* about - end */

/* cta - start */

.cta-button {
  padding: 15px 30px;
  font-size: 1.2rem;
  font-weight: bold;
  transition: all 0.3s ease;
  text-decoration: none;
  display: inline-block;
  color: rgb(0, 0, 0);
}

.cta-button:hover {
  transform: translateY(-2px);
  box-shadow: 6px 6px 0px rgb(0, 0, 0);
  /* color: white; */
}

.cta-button:focus {
  outline: none;
  box-shadow: 4px 4px 0px rgb(0, 0, 0);
}

.cta-button:active {
  transform: translateY(0);
  box-shadow: 2px 2px 0px rgb(0, 0, 0);
}

/* cta -end */

/* contact - start  */
.contact-link {
  display: inline-block;
  padding: 10px 20px;
  margin-top: 20px;
  font-size: 1.2rem;
  font-weight: bold;
  color: var(--coral-pink);
  text-decoration: none;
  border: 2px solid var(--coral-pink);
  border-radius: 8px;
  transition: all 0.3s ease;
}

.contact-link:hover {
  background-color: var(--coral-pink);
  color: white;
  box-shadow: 4px 4px 0px rgba(0, 0, 0, 1);
}

.contact-link:focus {
  outline: none;
  box-shadow: 0 0 0 0.25rem rgba(253, 159, 141, 0.5);
}

.contact-link:active {
  transform: translateY(2px);
  box-shadow: 2px 2px 0px rgba(0, 0, 0, 1);
}

/* contact - end  */
